#!/usr/bin/env python3
import utils


def setup(interactive=True):
    # Run commands
    cmds = [
        'apt-get install --yes apt-transport-https ca-certificates curl software-properties-common',
        'curl -fsSL https://download.docker.com/linux/ubuntu/gpg | apt-key add -',
        'add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable"',
        'apt-get update && apt-get install --yes docker-ce',
        'apt-get install --yes python3-miris-netcapture',
    ]

    try:
        utils.run_commands(cmds)
    except Exception:
        raise
